Name:		manafirewall
Version:	0.0.3
Release:	%mkrel 6
Summary:	manafirewall is the manatools firewalld configuration tool 
Group:		System/Packaging
License:	GPLv3+
URL:		https://github.com/manatools/%{name}
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		00-checked_items.patch
Patch1:		manafirewall-cmake-4.0.patch


BuildArch:	noarch

BuildRequires:	cmake			>= 3.4.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig
BuildRequires:	python3-devel		>= 3.4.0
BuildRequires:	python3-yaml
BuildRequires:	python3-yui

Requires:	hicolor-icon-theme
Requires:	python3-yaml
Requires:	python3-yui
Requires:	python3-manatools
Requires:	python3-firewall
Requires:	firewalld
# Ensure base TUI deps are installed
Requires:	libyui-ncurses
Requires:	libyui-mga-ncurses
# Suggest users to select a GUI
Recommends:	%{name}-gui

%description
%{name} is the graphical configuration tool for firewalld based on python 
manatools and libYui (Suse widget abstraction library), to be run using 
Qt 5, GTK+ 3, or ncurses interfaces.

%package qt
Summary:	Qt frontend for %{name}
Group:		System/Packaging
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}
Requires:	libyui-qt
Requires:	libyui-mga-qt
Supplements:	(%{name} and qtbase5-common)

%description qt
This package pulls in the dependencies to run %{name} with a Qt5 GUI.

%package gtk
Summary:	GTK+ frontend for %{name}
Group:		System/Packaging
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}
Requires:	libyui-gtk
Requires:	libyui-mga-gtk
Supplements:	(%{name} and gtk+3)

%description gtk
This package pulls in the dependencies to run %{name} with a GTK+3 GUI.

%package common
Summary:	Shared files for Qt and GTK+ flavours of %{name}
Group:		System/Packaging
# It's silly to install this without the actual program...
Requires:	%{name} = %{version}-%{release}
# Without this requirement, it's possible to have desktop files installed
# that won't do anything, since there's no GUI deps installed.
Requires:	%{name}-gui

%description common
This package contains shared files used by the Qt and GTK+ flavours of
%{name}, which are not strictly necessary for the ncurses flavour of the
main %{name} package.

%prep
%autosetup -p1


%build
%cmake	-DCHECK_RUNTIME_DEPENDENCIES=ON
%cmake_build


%install
%cmake_install

%find_lang %{name}

%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
	%{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%doc README.md TODO.md 
%license AUTHORS LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/

%files qt
# No files

%files gtk
# No files

%files common
%{_datadir}/applications/*%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_metainfodir}/org.mageia.manafirewall.metainfo.xml


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 0.0.3-6.mga10
+ Revision: 2255496
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Mar 11 2025 papoteur <papoteur> 0.0.3-5.mga10
+ Revision: 2162746
- rebuild for python3.13

* Sun Mar 10 2024 papoteur <papoteur> 0.0.3-4.mga10
+ Revision: 2049105
- rebuild for python 3.12

* Mon Feb 28 2022 tv <tv> 0.0.3-3.mga9
+ Revision: 1786778
- Rebuild for python-3.10

* Tue Jan 04 2022 anaselli <anaselli> 0.0.3-2.mga9
+ Revision: 1766848
- fixed crash on Services and ICMP filters

* Tue Jan 04 2022 anaselli <anaselli> 0.0.3-1.mga9
+ Revision: 1766767
- new version 0.0.3

* Sat Jun 26 2021 tmb <tmb> 0.0.1-5.mga9
+ Revision: 1733558
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.0.1-4.mga9
+ Revision: 1732427
- Rebuild for python 3.9

* Sun Sep 13 2020 anaselli <anaselli> 0.0.1-3.mga8
+ Revision: 1625884
- Added firewalld dependencies

* Sun Sep 13 2020 anaselli <anaselli> 0.0.1-2.mga8
+ Revision: 1625766
- manafirewall description

* Sun Sep 13 2020 anaselli <anaselli> 0.0.1-1.mga8
+ Revision: 1625677
- python manatools dependency
- imported package manafirewall

